Subject: bug#59280: 29.0.50; Buffer-menu-view-other-window lack of keybinding makes help look off

From: Stefan Kangas <[email-masked]>
Date: Thu, 24 Nov 2022 16:44:42 -0800

close 59280 29.1
thanks

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 15 Nov 2022 15:52:50 +0200, Eli Zaretskii <[email-masked]> said:
>
>     >> From: Stefan Kangas <[email-masked]>
>     >> Date: Mon, 14 Nov 2022 23:47:14 -0800
>     >>
>     >> q    Remove the Buffer Menu from the display.
>     >> RET  Select current line’s buffer in place of the buffer menu.
>     >> o    Select that buffer in another window,
>     >> so the Buffer Menu remains visible in its window.
>     >> V    Select current line’s buffer, in View mode.
>     >> M-x Buffer-menu-view-other-window  Select that buffer in
>     >> another window, in ‘view-mode’.
>     >>
>     >> The last entry there looks a bit off (see it in context).  I see two
>     >> solutions:
>     >>
>     >> 1. Add some keybinding for `Buffer-menu-view-other-window'.
>     >> 2. Move `Buffer-menu-view-other-window' last.
>     >>
>     >> I have no preferences here, but it would be good to do one of them.
>
>     Eli> How about removing it from the list?  Isn't 'o' enough?
>
> 'o' doesnʼt put the buffer in `view-mode'. We could bind it to 'O'

I bound it to "O".

> (and while weʼre at it we should reorder things so that eg 'v' and 'V'
> are next to each other. And use either "View mode" or `view-mode'
> consistently)

So I tried cleaning that up a little bit.

See commit e769a8eb44.  With that, I'm closing this bug.